Package wx :: Package lib :: Module embeddedimage :: Class PyEmbeddedImage

[frames | no frames]

## Type PyEmbeddedImage

    object --+
             |
            PyEmbeddedImage

PyEmbeddedImage is primarily intended to be used by code generated by img2py as a means of embedding image data in a python module so the image can be used at runtime without needing to access the image from an image file. This makes distributing icons and such that an application uses simpler since tools like py2exe will automatically bundle modules that are imported, and the application doesn't have to worry about how to locate the image files on the user's filesystem.

The class can also be used for image data that may be acquired from some other source at runtime, such as over the network or from a database. In this case pass False for isBase64 (unless the data actually is base64 encoded.) Any image type that wx.ImageFromStream can handle should be okay.

Method Summary
| `__init__(self, data, isBase64)`
| `GetBitmap(self)`
| `getBitmap(self)`
| `GetData(self)`
| `getData(self)`
| `GetIcon(self)`
| `getIcon(self)`
| `GetImage(self)`
| `getImage(self)`

Property Summary
| `Bitmap`
| `Icon`
| `Image`

Property Details

### Bitmap

  Get Method:
    `GetBitmap`(self)

### Icon

  Get Method:
    `GetIcon`(self)

### Image

  Get Method:
    `GetImage`(self)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:19 2009 | http://epydoc.sf.net